function string_create_urls(input){
	return input.replace(/(ftp|http|https|file):\/\/[\S]+(\b|$)/gim,
		'<a href="$&" class="my_link" target="_blank">$&</a>').replace(/([^\/])(www[\S]+(\b|$))/gim,
		'$1<a href="http://$2" class="my_link" target="_blank">$2</a>');
}

function fecha(entry){
	var entrydate=new Date(entry.publishedDate);
	var entrydatestr=checkTime(entrydate.getDate())+"/"+checkTime(entrydate.getMonth()+1)+"/"+entrydate.getFullYear()+" "+checkTime(entrydate.getHours())+":"+checkTime(entrydate.getMinutes());
	return entrydatestr;
}

function checkTime(i){
	if (i<10) 
		{i="0" + i}
	return i
}

function grabThumb(thumbNodes) {
	var ti = 0;
	var node = thumbNodes[ti];
	var thumb = null;
	var attr = node.getAttributeNode("url");
	if (attr != null) {
		thumb = node.getAttributeNode("url").nodeValue;
	} else {
		thumb = node.firstChild.nodeValue;
	}
	return thumb;
};



function loadFlickr() {
	var feedflicker = new google.feeds.Feed("http://api.flickr.com/services/feeds/photos_public.gne?id="+userflicker+"&format=rss2&lang=es_us");
	feedflicker.setNumEntries(50);
	feedflicker.setResultFormat(google.feeds.Feed.MIXED_FORMAT);
	feedflicker.load(function(result) {
			var container = document.getElementById("flicker");
	        if (!result.error) {
	        	var html="";
				entries = result.feed.entries;
				if(result.feed.title!="Las fotos de todos" && result.feed.title!="Everyone's photos"){
					for (var i = 0; i < entries.length; i++) {
						var thumbUrl = null;
						var thumbNodes = google.feeds.getElementsByTagNameNS( entries[i].xmlNode, "http://search.yahoo.com/mrss/", "thumbnail");
						if (thumbNodes && thumbNodes.length > 0) {
							thumbUrl = grabThumb(thumbNodes);
						}
						html+="<li><a href=\""+entries[i].link+"\" target=\"_blank\"><img src=\""+thumbUrl+"\" alt=\"\" /></a></li>";
					}
					container.innerHTML="<ul>"+html+"</ul>";
				}
	        }else{
	        	container.innerHTML="<p>Error cargando el feed</p>";
	        }
	}
	)			
}


function loadYoutube() {
	var feedyt = new google.feeds.Feed("http://www.youtube.com/rss/user/"+useryoutube+"/videos.rss");
	feedyt.setNumEntries(50);
	feedyt.setResultFormat(google.feeds.Feed.MIXED_FORMAT);
	feedyt.load(function(result) {
			var container = document.getElementById("youtube");
	        if (!result.error) {
	        	var html="";
				entries = result.feed.entries;
				for (var i = 0; i < entries.length; i++) {
					var thumbUrl = null;
					var thumbNodes = google.feeds.getElementsByTagNameNS( entries[i].xmlNode, "http://search.yahoo.com/mrss/", "thumbnail");
					if (thumbNodes && thumbNodes.length > 0) {
						thumbUrl = grabThumb(thumbNodes);
					}
					html+="<li><a href=\""+entries[i].link+"\" target=\"_blank\"><img src=\""+thumbUrl+"\" alt=\""+entries[i].title+"\" title=\""+entries[i].title+"\" /></a></li>";
				}
				container.innerHTML="<ul>"+html+"</ul>";
	        }else{
	        	container.innerHTML="<p>Error cargando el feed</p>";
	        }
	}
	)			
}


function loadTwitter() {
	var feed = new google.feeds.Feed("http://twitter.com/statuses/user_timeline/"+usertwitter+".rss");
	feed.setNumEntries(50);
	feed.load(function(result) {
		var container = document.getElementById("twitter");
		if (!result.error) {
			var entries=result.feed.entries;
			var html="";
			var clase="";
			for(var i=0; i<entries.length; i++){
				if((i%2)==0)
					clase="";
				else
					clase="alrow";
					
				var entry = entries[i];
				var titulo=String((entry.title)).substring(String(entry.title).indexOf(":")+1);
				html+="<p class=\""+clase+"\"><b>"+fecha(entries[i])+"</b><br/>"+string_create_urls(titulo)+"</p>";
			}
			container.innerHTML=html;
		}else{
			container.innerHTML="<p>Error cargando el feed</p>";
		}
	}
	)
}

function loadDelicious() {
	var feeddelicious = new google.feeds.Feed("http://feeds.feedburner.com/Delicious/"+userdelicious);
	feeddelicious.setNumEntries(50);
	feeddelicious.load(function(result) {
		var container = document.getElementById("delicious");
		if (!result.error) {
			var entries=result.feed.entries;
			var html="";
			var clase="";
			for(var i=0; i<entries.length; i++){
				var entry = entries[i];
				
				if((i%2)==0)
					clase="";
				else
					clase="alrow";
					
				html+="<li><a href=\""+entry.link+"\" target=\"_blank\" class=\""+clase+"\">"+entry.title+"</a></li>";
			}
			container.innerHTML="<ol>"+html+"</ol>";
		}else{
			container.innerHTML="http://feeds.delicious.com/rss/"+userdelicious+"<p>Error cargando el feed</p>";
		}
	}
	)
}
function loadLastfm() {
	var feedlastfm = new google.feeds.Feed("http://ws.audioscrobbler.com/1.0/user/"+userlastfm+"/recenttracks.rss?date="+new Date().getTime());
	feedlastfm.setNumEntries(50);
	feedlastfm.load(function(result) {
		var container = document.getElementById("lasftm");
		if (!result.error) {
			var entries=result.feed.entries;
			var html="";
			var clase="";
			for(var i=0; i<entries.length; i++){
				var entry = entries[i];
				if((i%2)==0)
					clase="";
				else
					clase="alrow";
				html+="<li><a href=\""+entry.link+"\" target=\"_blank\" class=\""+clase+"\">"+entry.title+"</a></li>";
			}
			container.innerHTML="<ol>"+html+"</ol>";
		}else{
			container.innerHTML="<p>Error cargando el feed</p>";
		}
	}
	)
}





var usertwitter="osus";
var useryoutube="mgvideos";
var userflicker="24422272@N02";
var userdelicious="jiglesias";
var userlastfm="jiglesias";

function showred(mostrarred){
	document.getElementById("div_twitter").style.display='none';
	document.getElementById("div_youtube").style.display='none';
	document.getElementById("div_flicker").style.display='none';
	document.getElementById("div_lastfm").style.display='none';
	document.getElementById("div_delicious").style.display='none';

	document.getElementById("div_"+mostrarred).style.display='';
}

function OnLoad() {
	showred("twitter");
	
	if(usertwitter!="") loadTwitter();
	if(useryoutube!="")	loadYoutube();
	if(userflicker!="") loadFlickr();
	if(userdelicious!="") loadDelicious();
	if(userlastfm!="") loadLastfm();
}
google.load("feeds", "1");
google.setOnLoadCallback(OnLoad);	
